NVIDIA
NVIDIA
CUDA Deep Learning
Container
NVIDIA
NVIDIA
CUDA Deep Learning

CUDA is a parallel computing platform and programming model that enhances computing performance using NVIDIA GPUs. CUDA Deep Learning integrates networking and GPU-accelerated libraries like cuDNN, cuTensor, NCCL, HPC-x, and the CUDA Toolkit.

LayerLabelCreated
025c6c02e27366dd3b187520908125945e4449f8bc7a7a420d53458ffbfc01d8CONFIG
Entrypoint /opt/nvidia/nvidia_entrypoint.sh
02/03/2026 9:25 PM UTC
570504b8b290f0d5581bb0bba490ec39a616cd9d7388dea6defc0ef2f082b340RUN
RUN |2 ENABLE_MITMPROXY=0 VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION /bin/sh -c set -exo pipefail export DEVEL=1 BASE=0 if [ ! -f /etc/ld.so.conf.d/nvidia-tegra.conf ]; then COMPONENT_LIST="nvrtc-dev" /nvidia/build-scripts/installCUDA.sh else # Don't use COMPONENT_LIST in iGPU environment
    /nvidia/build-scripts/installCUDA.sh
fi

VERSION_LIST="${VERSION_LIST}" /nvidia/build-scripts/installLIBS.sh
if [ ! -f /etc/ld.so.conf.d/nvidia-tegra.conf ]; then 
  /nvidia/build-scripts/installNCCL.sh
fi
NOBUILDER=1 /nvidia/build-scripts/installTRT.sh
/nvidia/build-scripts/installCUDNN.sh
/nvidia/build-scripts/installCUSPARSELT.sh

# Clean up libcudnn_engines_precompiled
rm -rf /usr/lib/*-linux-gnu/libcudnn_engines_precompiled.so*
 # buildkit
02/03/2026 9:25 PM UTC
b823e38f420481bb19f8a4e40434f8b8730b40803273bc50f9a240ad5def8d47ARG
VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION
02/03/2026 9:15 PM UTC
c7550af78a9b731884cc64b29cbef2f27002b3c0bc1c5f9cc4277607addb6078RUN
ENABLE_MITMPROXY=0 /tmp/manage_cert.sh install
02/03/2026 9:15 PM UTC
876573c2a049f27ef5a9cc913448a3457b3a0cd35d8ed69daa6f2c8f5b5864ddARG
ENABLE_MITMPROXY=0
02/03/2026 9:15 PM UTC
b499145f2dc6f255f1b85c96e24f843e03e6bda35623b2b9403fee3038669efcLABEL
com.nvidia.nccl.version=2.29.stable.20260109 com.nvidia.cublas.version=13.2.1.1 com.nvidia.cufft.version=12.1.0.78 com.nvidia.curand.version=10.4.1.81 com.nvidia.cusparse.version=12.7.3.1 com.nvidia.cusparselt.version=0.8.1.1 com.nvidia.cusolver.version=12.0.9.81 com.nvidia.npp.version=13.0.3.3 com.nvidia.nvjpeg.version=13.0.3.75 com.nvidia.cudnn.version=9.19.0.56
02/03/2026 9:10 PM UTC
f49ecb6c7fbe5cd645744320c8c9d11331917dca7104be0a077d7d581d0642a3RUN
ENABLE_MITMPROXY=0 CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION /tmp/manage_cert.sh uninstall
02/03/2026 9:10 PM UTC
c9f94f69aeab1d0a67a84e226616c56fea21c4f62a120002ec03c51736148c99ENV
LIBRARY_PATH=/usr/local/cuda/lib64/stubs:
02/03/2026 9:10 PM UTC
32d4d9951b091850e007ced75dffe2199b025511dd74b54bbe841979f4a686ccRUN
RUN |3 ENABLE_MITMPROXY=0 CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION /bin/sh -c set -exo pipefail VERSION_LIST="${VERSION_LIST}" /nvidia/build-scripts/installLIBS.sh # Hack to grab stubs from the libs stage and put them under /usr/local/cuda/lib64 without actually installing the libs HACK_LIST="cusparse cusolver cufft nvJitLink" for lib in ${HACK_LIST}; do _LIB_VERSION_ENV_VAR="${lib^^}_VERSION" _LIB_MAJOR_VERSION=$(echo "${!_LIB_VERSION_ENV_VAR}" | cut -d. -f1) if [[ -z "${_LIB_MAJOR_VERSION}" ]]; then echo "[ERROR] ${_LIB_VERSION_ENV_VAR} is not set" exit 1 fi for _stub in $(ls /tmp/stubs/*${lib}*); do cp ${_stub} /usr/local/cuda/lib64/$(basename ${_stub}).${_LIB_MAJOR_VERSION} # Create a symlink to the file with .0 extension ln -sf $(basename ${_stub}).${_LIB_MAJOR_VERSION} /usr/local/cuda/lib64/$(basename ${_stub}).0 done done ( set +x; echo "[INFO] /usr/local/cuda/lib64 after hack:"; ls -larth /usr/local/cuda/lib64/ ) /nvidia/build-scripts/installCUDNN.sh /nvidia/build-scripts/installCUSPARSELT.sh NOBUILDER=1 /nvidia/build-scripts/installTRT.sh if [ ! -f /etc/ld.so.conf.d/nvidia-tegra.conf ]; then /nvidia/build-scripts/installNCCL.sh /nvidia/build-scripts/installNVSHMEM.sh # Manually create symlinks nvshmem so we don't need to use dpkg-divert
  # nvshmem default installation is under /usr/lib/x86_64-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}
  # We need to libs to be available under /usr/local/cuda/lib64
  export CUDA_VERSION_MAJOR=$(echo "${CUDA_VERSION}" | cut -d. -f1)
  find /usr/lib/*-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}/ -maxdepth 1 -type f -exec ln -sf {} /usr/local/cuda/lib64/ \;
  # For symlinks under /usr/lib/*-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}/, we want to create it under /usr/local/cuda/lib64/ and link it to the same target
  find /usr/lib/*-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}/ -maxdepth 1 -type l -exec ln -sf {} /usr/local/cuda/lib64/ \;
  # Ensure libnvshmem_host.so* files exist under /usr/local/cuda/lib64
  ls /usr/local/cuda/lib64/libnvshmem_host.so* || { echo "[ERROR] libnvshmem_host.so* not found under /usr/local/cuda/lib64"; exit 1; }
fi
 # buildkit
02/03/2026 9:10 PM UTC
7b5ee4e5dee6d8769f5817b783efd39164180637d94d49d3eae9510d6edcb652ARG
VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION
02/03/2026 9:08 PM UTC

NVIDIA uses cookies to improve your experience on our web site. We and our third-party partners also use cookies and other tools to collect and record information you provide as well as information about your interactions with our websites for performance improvement, analytics, and to assist in marketing efforts. By clicking "Accept All", you consent to our use of cookies and other tools as described in our Cookie Policy. You can manage your cookie settings by clicking on "Manage Settings." By continuing to use this site or by clicking one of the buttons below, you agree to our Terms of Service (which contains important waivers). Please see our Privacy Policy for more information on our privacy practices.